org.keycloak.models.map.storage

## Class MapFieldPredicates

- java.lang.Object
- - org.keycloak.models.map.storage.MapFieldPredicates

-     public class MapFieldPredicates
      extends Object

  Author:
    hmlnarik

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<SearchableModelField<RootAuthenticationSessionModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapRootAuthenticationSessionEntity<Object>,RootAuthenticationSessionModel>>` | `AUTHENTICATION_SESSION_PREDICATES`
    `static Map<SearchableModelField<PermissionTicket>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapPermissionTicketEntity<Object>,PermissionTicket>>` | `AUTHZ_PERMISSION_TICKET_PREDICATES`
    `static Map<SearchableModelField<Policy>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapPolicyEntity<Object>,Policy>>` | `AUTHZ_POLICY_PREDICATES`
    `static Map<SearchableModelField<Resource>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapResourceEntity<Object>,Resource>>` | `AUTHZ_RESOURCE_PREDICATES`
    `static Map<SearchableModelField<ResourceServer>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapResourceServerEntity<Object>,ResourceServer>>` | `AUTHZ_RESOURCE_SERVER_PREDICATES`
    `static Map<SearchableModelField<Scope>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapScopeEntity<Object>,Scope>>` | `AUTHZ_SCOPE_PREDICATES`
    `static Map<SearchableModelField<ClientModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapClientEntity<Object>,ClientModel>>` | `CLIENT_PREDICATES`
    `static Map<SearchableModelField<ClientScopeModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapClientScopeEntity<Object>,ClientScopeModel>>` | `CLIENT_SCOPE_PREDICATES`
    `static Map<SearchableModelField<AuthenticatedClientSessionModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapAuthenticatedClientSessionEntity<Object>,AuthenticatedClientSessionModel>>` | `CLIENT_SESSION_PREDICATES`
    `static Map<SearchableModelField<GroupModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapGroupEntity<Object>,GroupModel>>` | `GROUP_PREDICATES`
    `static Map<SearchableModelField<RealmModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapRealmEntity<Object>,RealmModel>>` | `REALM_PREDICATES`
    `static Map<SearchableModelField<RoleModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapRoleEntity<Object>,RoleModel>>` | `ROLE_PREDICATES`
    `static Map<SearchableModelField<UserLoginFailureModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapUserLoginFailureEntity<Object>,UserLoginFailureModel>>` | `USER_LOGIN_FAILURE_PREDICATES`
    `static Map<SearchableModelField<UserModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapUserEntity<Object>,UserModel>>` | `USER_PREDICATES`
    `static Map<SearchableModelField<UserSessionModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapUserSessionEntity<Object>,UserSessionModel>>` | `USER_SESSION_PREDICATES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapFieldPredicates()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static <K,V extends AbstractEntity<K>,M> Map<SearchableModelField<M>,MapModelCriteriaBuilder.UpdatePredicatesFunc<K,V,M>>` | `basePredicates(SearchableModelField<M> idField)`
    `static <K,V extends AbstractEntity<K>,M> Map<SearchableModelField<M>,MapModelCriteriaBuilder.UpdatePredicatesFunc<K,V,M>>` | `getPredicates(Class<M> clazz)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLIENT_SESSION_PREDICATES

          public static final Map<SearchableModelField<AuthenticatedClientSessionModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapAuthenticatedClientSessionEntity<Object>,AuthenticatedClientSessionModel>> CLIENT_SESSION_PREDICATES

    - #### CLIENT_PREDICATES

          public static final Map<SearchableModelField<ClientModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapClientEntity<Object>,ClientModel>> CLIENT_PREDICATES

    - #### CLIENT_SCOPE_PREDICATES

          public static final Map<SearchableModelField<ClientScopeModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapClientScopeEntity<Object>,ClientScopeModel>> CLIENT_SCOPE_PREDICATES

    - #### GROUP_PREDICATES

          public static final Map<SearchableModelField<GroupModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapGroupEntity<Object>,GroupModel>> GROUP_PREDICATES

    - #### ROLE_PREDICATES

          public static final Map<SearchableModelField<RoleModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapRoleEntity<Object>,RoleModel>> ROLE_PREDICATES

    - #### AUTHENTICATION_SESSION_PREDICATES

          public static final Map<SearchableModelField<RootAuthenticationSessionModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapRootAuthenticationSessionEntity<Object>,RootAuthenticationSessionModel>> AUTHENTICATION_SESSION_PREDICATES

    - #### REALM_PREDICATES

          public static final Map<SearchableModelField<RealmModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapRealmEntity<Object>,RealmModel>> REALM_PREDICATES

    - #### AUTHZ_RESOURCE_SERVER_PREDICATES

          public static final Map<SearchableModelField<ResourceServer>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapResourceServerEntity<Object>,ResourceServer>> AUTHZ_RESOURCE_SERVER_PREDICATES

    - #### AUTHZ_RESOURCE_PREDICATES

          public static final Map<SearchableModelField<Resource>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapResourceEntity<Object>,Resource>> AUTHZ_RESOURCE_PREDICATES

    - #### AUTHZ_SCOPE_PREDICATES

          public static final Map<SearchableModelField<Scope>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapScopeEntity<Object>,Scope>> AUTHZ_SCOPE_PREDICATES

    - #### AUTHZ_PERMISSION_TICKET_PREDICATES

          public static final Map<SearchableModelField<PermissionTicket>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapPermissionTicketEntity<Object>,PermissionTicket>> AUTHZ_PERMISSION_TICKET_PREDICATES

    - #### AUTHZ_POLICY_PREDICATES

          public static final Map<SearchableModelField<Policy>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapPolicyEntity<Object>,Policy>> AUTHZ_POLICY_PREDICATES

    - #### USER_LOGIN_FAILURE_PREDICATES

          public static final Map<SearchableModelField<UserLoginFailureModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapUserLoginFailureEntity<Object>,UserLoginFailureModel>> USER_LOGIN_FAILURE_PREDICATES

    - #### USER_PREDICATES

          public static final Map<SearchableModelField<UserModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapUserEntity<Object>,UserModel>> USER_PREDICATES

    - #### USER_SESSION_PREDICATES

          public static final Map<SearchableModelField<UserSessionModel>,MapModelCriteriaBuilder.UpdatePredicatesFunc<Object,MapUserSessionEntity<Object>,UserSessionModel>> USER_SESSION_PREDICATES

  - ### Constructor Detail

    - #### MapFieldPredicates

          public MapFieldPredicates()

  - ### Method Detail

    - #### basePredicates

          protected static <K,V extends AbstractEntity<K>,M> Map<SearchableModelField<M>,MapModelCriteriaBuilder.UpdatePredicatesFunc<K,V,M>> basePredicates(SearchableModelField<M> idField)

    - #### getPredicates

          public static <K,V extends AbstractEntity<K>,M> Map<SearchableModelField<M>,MapModelCriteriaBuilder.UpdatePredicatesFunc<K,V,M>> getPredicates(Class<M> clazz)

Copyright © 2021 JBoss by Red Hat. All rights reserved.